# -*- tcl -*- Tcl package index file
# --- --- --- Handcrafted, final generation by configure.
#
# $Id$

package ifneeded img::base 1.3 [list load [file join $dir .. .. .. lib tcl libtkimg1.3.so]]

package ifneeded Img 1.3 {
    # Compatibility hack. When asking for the old name of the package
    # then load all format handlers and base libraries provided by tkImg.
    # Actually we ask only for the format handlers, the required base
    # packages will be loaded automatically through the usual package
    # mechanism.

    # When reading images without specifying it's format (option -format),
    # the available formats are tried in reversed order as listed here.
    # Therefore file formats with some "magic" identifier, which can be
    # recognized safely, should be added at the end of this list.

    package require img::window
    package require img::tga
    package require img::ico
    package require img::pcx
    package require img::sgi
    package require img::sun
    package require img::xbm
    package require img::xpm
    package require img::ps
    package require img::jpeg
    package require img::png
    package require img::bmp
    package require img::ppm
    package require img::gif
    package require img::pixmap

    package provide Img 1.3
}
package ifneeded img::xpm 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgxpm1.3.so]]
package ifneeded img::xbm 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgxbm1.3.so]]
package ifneeded img::window 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgwindow1.3.so]]
package ifneeded img::tga 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgtga1.3.so]]
package ifneeded img::sun 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgsun1.3.so]]
package ifneeded img::sgi 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgsgi1.3.so]]
package ifneeded img::ps 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgps1.3.so]]
package ifneeded img::ppm 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgppm1.3.so]]
package ifneeded img::png 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgpng1.3.so]]
package ifneeded img::pixmap 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgpixmap1.3.so]]
package ifneeded img::pcx 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgpcx1.3.so]]
package ifneeded img::jpeg 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgjpeg1.3.so]]
package ifneeded img::ico 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgico1.3.so]]
package ifneeded img::gif 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimggif1.3.so]]
package ifneeded img::bmp 1.3 \
    [list load [file join $dir .. .. .. lib tcl libtkimgbmp1.3.so]]
package ifneeded jpegtcl 1.0 \
    [list load [file join $dir .. .. .. lib tcl libjpegtcl1.0.so]]
package ifneeded pngtcl 1.2.6 \
    [list load [file join $dir .. .. .. lib tcl libpngtcl1.2.6.so]]
